	#{if editable }
		<div class="bs-callout bs-callout-info">
			<b>&{'lelang_doc.petunjuk_upload'}:</b><br />
			&{'lelang_doc.petunjuk_upload_1'}<br />
			#{if isPanitia}
			&{'lelang_doc.petunjuk_upload_2_election'}
			#{/if}
			#{else}
			&{'lelang_doc.petunjuk_upload_2_preparation'}
			#{/else}
			&{'lelang_doc.petunjuk_upload_3'}<br/>
			&{'lelang_doc.petunjuk_upload_4'}
		</div>
		<div class="bs-callout bs-callout-warning">
			Bagian dari <b>Rancangan Kontrak</b> adalah <b>Surat Perjanjian</b>, <b>Syarat-Syarat Khusus Kontrak (SSKK)</b>, dan <b>Syarat-Syarat Umum Kontrak (SSUK)</b>.
		</div>
		<div class="btn btn-success fileinput-button">
			<i class="glyphicon glyphicon-plus"></i>
			<span>&{'lelang_doc.upload_doc'}</span>
			<input id="fileupload" type="file" name="file">
		</div>
		<div id="progress" class="progress" style="display: none;">
			<div class="progress-bar progress-bar-success"></div>
		</div>
		<div id="alert-upload" style="margin-top: 10px;"></div>
	#{/if}
	<table class="table table-sm table-striped"" id="files">
		<thead>
		<th>&{'lelang_doc.nama_file'}</th>
		<th>&{'lelang_doc.tgl_upload'}</th>
		#{if editable }	<th>&{'lelang_doc.aksi'}</th> #{/if}
		</thead>
		<tbody>
		#{list items:sskk, as:'dok'}
		<tr>
			<td>#{download dok/}</td>
			<td>${dok?.blb_date_time?.formatDateTime()}</td>
			#{if editable }<td><a href="javascript:void(0)" title="&{'lelang_doc.hapus'}" class="removeDok" versi="${dok.blb_versi}">
				<i class="fa fa-trash-o"></i></a>
			</td>#{/if}
		</tr>
		#{/list}
		</tbody>
	</table>

#{if editable }
	   <link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
		<script type="text/javascript">
		$(document).on('click', '#fileupload', function(){
			$('#fileupload').fileupload({
				url: '@{lelang.AdendumCtr.docSskkSubmit(lelang?.lls_id)}',
				dataType: 'json',
				acceptFileTypes: /(\.|\/)(pdf)$/i,
				done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<tr><td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td></tr>';
							$("#files > tbody").append(content);
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
					}
				},
				progressall: function (e, data) {
					var progress = parseInt(data.loaded / data.total * 100, 10);
					$('#progress').show();
					$('#progress .progress-bar').css(
						'width',
						progress + '%'
					);
				}
			}).on('fileuploadprocessalways', function (e, data) {
				var file = data.files[data.index];
				if (data.files.error && file.error) {
				  var msg = file.name+' - '+file.error
				  $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
				}
			}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		});
		$(document).on('click', '.removeDok', function(){
			var versi = $(this).attr('versi')
			var parent = $(this).parent()
			$.ajax({
				type: 'POST',
				url: '@{lelang.AdendumCtr.hapusSskk(lelang?.lls_id)}',
				data : {'versi': versi},
				success : function(){
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
					parent.parent().remove()
				},
				error : function(){
					$('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
				}
			})
		});
		</script>
#{/if}